import request from '@/utils/request'
// 根据登录用户获取用户所在班级
export function getUserClasses(params) {
  return request({
    url: '/back/classGrade/getUserClasses',
    method: 'get',
     params: params
  })
}

//01 根据登录用户获取用户所在年级
export function getUserGrade(params) {
  return request({
    url: '/back/classGrade/getUserGrade',
    method: 'get',
     params: params
  })
}
export function getGradeList(params) {
  return request({
    url: '/front/grade/list',
    method: 'get',
     params: params
  })
}
//01 根据班级id获取学生信息
export function getStudents(params) {
  return request({
    url: '/back/customer/students',
    method: 'get',
     params: params
  })
}

// /prod-api/back/classGrade/getUserGradeAndClasses
export function getUserGradeAndClasses(params) {
	return request({
		url: '/back/classGrade/getUserGradeAndClasses',
		method: 'get',
		params: params
	})
}

// /prod-api/back/teacher/resources/perms
export function resourcesPerms(params) {
	return request({
		url: '/back/teacher/resources/perms',
		method: 'get',
		params: params
	})
}

// /prod-api/back/teacher/resources/perms
export function saveResourcesPerms(data) {
	return request({
		url: '/back/teacher/resources/perms',
		method: 'post',
		data: data
	})
}
